Loading...
Searching...
No Matches
osmium::object_equal_type_id Struct Reference

`#include <object_comparisons.hpp>`

## Public Member Functions

bool | operator() (const osmium::OSMObject &lhs, const osmium::OSMObject &rhs) const noexcept
bool | operator() (const osmium::OSMObject *lhs, const osmium::OSMObject *rhs) const noexcept

## Detailed Description

Function object class for comparing OSM objects for equality by type and ID, ignoring the version.

## Member Function Documentation

## operator()() [1/2]

bool osmium::object_equal_type_id::operator() | ( | const osmium::OSMObject & | lhs,
|  | const osmium::OSMObject & | rhs ) const

inlinenoexcept

## operator()() [2/2]

bool osmium::object_equal_type_id::operator() | ( | const osmium::OSMObject * | lhs,
|  | const osmium::OSMObject * | rhs ) const

inlinenoexcept

Precondition
  lhs and rhs must not be nullptr

The documentation for this struct was generated from the following file:

- include/osmium/osm/object_comparisons.hpp